## com.bbn.openmap.layer.vpf
Class TilingAdapter.CrossTileAdapter

    java.lang.Object
      com.bbn.openmap.layer.vpf.TilingAdapter.CrossTileAdapter

All Implemented Interfaces:
  TilingAdapter

Enclosing class:
  TilingAdapter

public static class TilingAdapter.CrossTileAdapter
extends java.lang.Object
implements TilingAdapter

A TilingAdapter for tiled data where the primitive column is a cross-tile identifier.

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.layer.vpf.TilingAdapter
`TilingAdapter.CrossTileAdapter, TilingAdapter.TiledAdapter, TilingAdapter.UntiledAdapter`

Constructor Summary
`TilingAdapter.CrossTileAdapter(int column)`

Method Summary
`DcwCrossTileID` `getPrim(java.util.List l)` Get the full set of primitive information
`int` `getPrimId(java.util.List l)` Get the primitive identifier in the current tile
`int` `getTileId(java.util.List l)` Get the tile identifier for the alternate tile
`int` `getTilePrimId(java.util.List l)` Get the primitive identifier in the alternate tile

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilingAdapter.CrossTileAdapter

    public TilingAdapter.CrossTileAdapter(int column)

Method Detail

### getTileId

    public int getTileId(java.util.List l)

  Description copied from interface: `TilingAdapter`
  Get the tile identifier for the alternate tile

  Specified by:
    `getTileId` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the tile id of the alternate tile

### getPrimId

    public int getPrimId(java.util.List l)

  Description copied from interface: `TilingAdapter`
  Get the primitive identifier in the current tile

  Specified by:
    `getPrimId` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the primitive id in the current tile

### getTilePrimId

    public int getTilePrimId(java.util.List l)

  Description copied from interface: `TilingAdapter`
  Get the primitive identifier in the alternate tile

  Specified by:
    `getTilePrimId` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the primitve id in the alternate tile

### getPrim

    public DcwCrossTileID getPrim(java.util.List l)

  Description copied from interface: `TilingAdapter`
  Get the full set of primitive information

  Specified by:
    `getPrim` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the full cross tile identifier information

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details